# Create Google Pay token

Connect a Google Pay token to the specified account.

The `paymentMethodData` field should contain the `paymentMethodData` property from Google Pay's
[PaymentData](https://developers.google.com/pay/api/web/reference/response-objects#PaymentData) response,
passed through unmodified.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/cards.write` scope.

## POST

/accounts/{accountID}/google-pay/tokens

### Ask

```shell
curl -X POST "https://api.moov.io/accounts/{accountID}/google-pay/tokens" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00" \
  -d '{
  "merchantAccountID": "c5f78a7e-2fb0-4e4a-bcf0-9e1f8b0e5c7a",
  "paymentMethodData": {
    "info": {
      "cardNetwork": "VISA",
      "cardDetails": "1234"
    },
    "tokenizationData": {
      "type": "PAYMENT_GATEWAY",
      "token": "string"
    }
  }
}'
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.googlePay.linkToken({
    accountID: "<id>",
    linkGooglePay: {
      merchantAccountID: "c5f78a7e-2fb0-4e4a-bcf0-9e1f8b0e5c7a",
      paymentMethodData: {
        type: "CARD",
        info: {
          cardNetwork: "VISA",
          cardDetails: "1234",
          cardFundingSource: "DEBIT",
          billingAddress: {
            countryCode: "US",
          },
        },
        tokenizationData: {
          type: "PAYMENT_GATEWAY",
          token: "<value>",
        },
      },
    },
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
